Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server.browserlaunchers
Class SafariCustomProfileLauncher

    java.lang.Object
      org.openqa.selenium.server.browserlaunchers.AbstractBrowserLauncher
          org.openqa.selenium.server.browserlaunchers.SafariCustomProfileLauncher

All Implemented Interfaces:
  BrowserLauncher

Direct Known Subclasses:
  ProxyInjectionSafariCustomProfileLauncher, SafariFileBasedLauncher

    public class SafariCustomProfileLauncher

extends AbstractBrowserLauncher

Field Summary
`protected BrowserInstallation` | `browserInstallation`
`protected java.lang.String[]` | `cmdarray`
`protected java.io.File` | `customProfileDir`
`protected static AsyncExecute` | `exe`
`protected MacProxyManager` | `mpm`
`protected java.lang.Process` | `process`
`protected WindowsProxyManager` | `wpm`

Fields inherited from class org.openqa.selenium.server.browserlaunchers.AbstractBrowserLauncher
`browserConfigurationOptions, sessionId`

Constructor Summary
`SafariCustomProfileLauncher(BrowserConfigurationOptions browserOptions, RemoteControlConfiguration configuration, java.lang.String sessionId, java.lang.String browserLaunchLocation)`

Method Summary
`protected void` | `changeRegistrySettings()`
`void` | `close()` Stop (kill) the browser process
`protected void` | `ensureCleanSession()`
`java.lang.Process` | `getProcess()` Returns a process if there is an associated one running with this browser launcher (this is not required to be implementd).
`protected void` | `launch(java.lang.String url)`
`protected void` | `launchSafari(java.lang.String url)`
`protected BrowserInstallation` | `locateSafari(java.lang.String browserLaunchLocation)`
`protected java.lang.String` | `makeRedirectionHtml(java.io.File parentDir, java.lang.String url)`

Methods inherited from class org.openqa.selenium.server.browserlaunchers.AbstractBrowserLauncher
`getConfiguration, getPort, launchHTMLSuite, launchRemoteSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### customProfileDir

    protected java.io.File customProfileDir

### cmdarray

    protected java.lang.String[] cmdarray

### browserInstallation

    protected BrowserInstallation browserInstallation

### process

    protected java.lang.Process process

### wpm

    protected WindowsProxyManager wpm

### mpm

    protected MacProxyManager mpm

### exe

    protected static AsyncExecute exe

Constructor Detail

### SafariCustomProfileLauncher

    public SafariCustomProfileLauncher(BrowserConfigurationOptions browserOptions,
                                       RemoteControlConfiguration configuration,
                                       java.lang.String sessionId,
                                       java.lang.String browserLaunchLocation)

Method Detail

### locateSafari

    protected BrowserInstallation locateSafari(java.lang.String browserLaunchLocation)

### launch

    protected void launch(java.lang.String url)

  Specified by:
    `launch` in class `AbstractBrowserLauncher`

### launchSafari

    protected void launchSafari(java.lang.String url)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()

  Description copied from interface: `BrowserLauncher`
  Stop (kill) the browser process

### ensureCleanSession

    protected void ensureCleanSession()

### makeRedirectionHtml

    protected java.lang.String makeRedirectionHtml(java.io.File parentDir,
                                                   java.lang.String url)

### getProcess

    public java.lang.Process getProcess()

  Description copied from interface: `BrowserLauncher`
  Returns a process if there is an associated one running with this browser launcher (this is not required to be implementd).

  Returns:
    a handle to a process if one is available, or null if one is not available or if no browser is running

### changeRegistrySettings

    protected void changeRegistrySettings()
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.